Get a sweep config | Moov Documentation
Get a sweep config
Get a sweep config associated with a wallet.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/wallets.read scope.
GET
/accounts/{accountID}/sweep-configs/{sweepConfigID}
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/sweep-configs/{sweepConfigID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"
Ask
mc, _ := moov.NewClient()
var accountID string
var sweepConfigID string
mc.GetSweepConfig(ctx, accountID, sweepConfigID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.sweeps.getConfig({
accountID: "ae1c2e76-3195-4fc8-b922-b7af6dcf1aad",
sweepConfigID: "bfddff28-5291-4d9b-a0f8-22a0895e8486",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->sweeps->getConfig(
accountID: 'ae1c2e76-3195-4fc8-b922-b7af6dcf1aad',
sweepConfigID: 'bfddff28-5291-4d9b-a0f8-22a0895e8486'
);
if ($response->sweepConfig !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetSweepConfigResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetSweepConfigResponse res = sdk.sweeps().getConfig()
.accountID("ae1c2e76-3195-4fc8-b922-b7af6dcf1aad")
.sweepConfigID("bfddff28-5291-4d9b-a0f8-22a0895e8486")
.call();
if (res.sweepConfig().isPresent()) {
System.out.println(res.sweepConfig().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.sweeps.get_config(account_id="ae1c2e76-3195-4fc8-b922-b7af6dcf1aad", sweep_config_id="bfddff28-5291-4d9b-a0f8-22a0895e8486")
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.sweeps.get_config(account_id: 'ae1c2e76-3195-4fc8-b922-b7af6dcf1aad', sweep_config_id: 'bfddff28-5291-4d9b-a0f8-22a0895e8486')
unless res.sweep_config.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Sweeps.GetConfigAsync(
accountID: "ae1c2e76-3195-4fc8-b922-b7af6dcf1aad",
sweepConfigID: "bfddff28-5291-4d9b-a0f8-22a0895e8486"
);
// handle response
Example
{
"sweepConfigID": "string",
"walletID": "string",
"status": "enabled",
"pushPaymentMethod": {
"paymentMethodID": "string",
"disabledOn": "2019-08-24T14:15:22Z"
},
"pullPaymentMethod": {
"paymentMethodID": "string",
"disabledOn": "2019-08-24T14:15:22Z"
},
"minimumBalance": "string",
"statementDescriptor": "string",
"lockedFields": [
"string"
],
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z"
}
Response headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
The user is not authorized to make the request.
The requested resource was not found.
Request was refused due to rate limiting.
The request failed due to an unexpected error.
The request failed because a downstream service failed to respond.
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.04.00
The payment method used to push or pull funds to a bank account. The push payment method can only be ach-credit-standard, ach-credit-same-day, or rtp-credit. The pull payment method can only be ach-debit-fund.
Show child attributes
ID of the payment method.
Possible values:
enabled,
disabled
An array of fields that are locked. To request updates, please contact Moov support.
An optional field to specify an amount to maintain in the wallet. This is a decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99. If not supplied, the default is 0.00.
The text that appears on the banking statement. The default descriptor is a 10 character ID if an override is not set in the sweep configs statementDescriptor.